# Uses of Interface
org.opensaml.soap.wssecurity.Expires

Packages that use Expires
Package
Description
org.opensaml.soap.wssecurity
XMLObject interfaces for WS-Security 1.1 elements.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Expires in org.opensaml.soap.wssecurity

Methods in org.opensaml.soap.wssecurity that return Expires
Modifier and Type
Method
Description
`Expires`
Timestamp.`getExpires()`
Returns the <wsu:Expires> child element.
Methods in org.opensaml.soap.wssecurity with parameters of type Expires
Modifier and Type
Method
Description
`void`
Timestamp.`setExpires(Expires expires)`
Sets the <wsu:Expires> child element.

## Uses of Expires in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Expires
Modifier and Type
Class
Description
`class`
`ExpiresImpl`
ExpiresImpl.
Fields in org.opensaml.soap.wssecurity.impl declared as Expires
Modifier and Type
Field
Description
`private Expires`
TimestampImpl.`expires`
wsu:Timestamp/wsu:Expires element.
Methods in org.opensaml.soap.wssecurity.impl that return Expires
Modifier and Type
Method
Description
`Expires`
ExpiresBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Expires`
ExpiresBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Expires`
TimestampImpl.`getExpires()`
Returns the <wsu:Expires> child element.
Methods in org.opensaml.soap.wssecurity.impl with parameters of type Expires
Modifier and Type
Method
Description
`void`
TimestampImpl.`setExpires(Expires newExpires)`
Sets the <wsu:Expires> child element.

## Uses of Expires in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Expires
Modifier and Type
Method
Description
`Expires`
Lifetime.`getExpires()`
Returns the wsu:Expires child element.
Methods in org.opensaml.soap.wstrust with parameters of type Expires
Modifier and Type
Method
Description
`void`
Lifetime.`setExpires(Expires expires)`
Sets the wsu:Expires child element.

## Uses of Expires in org.opensaml.soap.wstrust.impl

Fields in org.opensaml.soap.wstrust.impl declared as Expires
Modifier and Type
Field
Description
`private Expires`
LifetimeImpl.`expires`
The wsu:Expires child element.
Methods in org.opensaml.soap.wstrust.impl that return Expires
Modifier and Type
Method
Description
`Expires`
LifetimeImpl.`getExpires()`
Returns the wsu:Expires child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Expires
Modifier and Type
Method
Description
`void`
LifetimeImpl.`setExpires(Expires newExpires)`
Sets the wsu:Expires child element.